The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Enable/Disable Scanning Exception on a Sensor

Prev Next

This URL enables/disables the scanning exception on a Sensor.

Resource URL

PUT /sensor/<sensor_id>/scanningexception/status

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

ScanningExceptionStatusElement

Object that contains the details of the field to be sent

Object

Yes

Details of fields in ScanningExceptionStatusElement:

Field Name

Description

Data Type

Mandatory

enabled

Can be either true or false

Boolean

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful, -1 otherwise

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/<sensor_id>/scanningexception/status

Payload

{
		"enabled":true
}

Response

{
       "status": 1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1501

Scanning exception is not supported for the specified Sensor

2

400

1106

Invalid Sensor